"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
// @low

class DocumentStorage {

  constructor() {
    this.docs = new Map();
  }

  get(fileUri) {
    return this.docs.get(fileUri);
  }

  add(fileUri, code) {
    this.docs.set(fileUri, code);
  }

  remove(fileUri) {
    this.docs.delete(fileUri);
  }
}
exports.default = DocumentStorage;