'use strict';

var _documentStorage = require('../document-storage');

var _documentStorage2 = _interopRequireDefault(_documentStorage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const filePath = '/tmp/path'; // @low

const code = 'some random code';

test('Should store document', () => {
  const ds = new _documentStorage2.default();
  ds.add(filePath, code);

  expect(ds.get(filePath)).toBe(code);
});

test('Should remove document', () => {
  const ds = new _documentStorage2.default();
  ds.add(filePath, code);
  ds.remove(filePath);
  expect(ds.get(filePath)).toBeUndefined();
});