'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.showMessage = showMessage;
exports.logMessage = logMessage;

var _vscodeLanguageserver = require('vscode-languageserver');

function showMessage(connection, message) {
  const notification = {
    type: 'window/showMessage',
    message
  };
  connection.sendNotification(notification.type, notification);
}
function logMessage(connection, message) {
  const notification = {
    type: 'window/logMessage',
    message
  };
  connection.sendNotification(notification.type, notification);
}